GDCM 2.2.1

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
gdcm::ImageFragmentSplitter Class Reference

ImageFragmentSplitter class For single frame image, DICOM standard allow splitting the frame into multiple fragments. More...

`#include <gdcmImageFragmentSplitter.h>`

Inheritance diagram for gdcm::ImageFragmentSplitter:
[legend]
Collaboration diagram for gdcm::ImageFragmentSplitter:
[legend]

## Public Member Functions

| ImageFragmentSplitter ()
| ~ImageFragmentSplitter ()
unsigned int | GetFragmentSizeMax () const
void | SetForce (bool f)
void | SetFragmentSizeMax (unsigned int fragsize)
| FragmentSizeMax needs to be an even number.
bool | Split ()
| Split.
Public Member Functions inherited from gdcm::ImageToImageFilter
| ImageToImageFilter ()
| ~ImageToImageFilter ()
Image & | GetInput ()
const Image & | GetOutput () const
| Get Output image.
Public Member Functions inherited from gdcm::PixmapToPixmapFilter
| PixmapToPixmapFilter ()
| ~PixmapToPixmapFilter ()
Pixmap & | GetInput ()
const Pixmap & | GetOutput () const
| Get Output image.
Public Member Functions inherited from gdcm::BitmapToBitmapFilter
| BitmapToBitmapFilter ()
| ~BitmapToBitmapFilter ()
const Bitmap & | GetOutput () const
| Get Output image.
void | SetInput (const Bitmap &image)
| Set input image.

## Additional Inherited Members

Protected Attributes inherited from gdcm::BitmapToBitmapFilter
SmartPointer< Bitmap > | Input
SmartPointer< Bitmap > | Output

## Detailed Description

ImageFragmentSplitter class For single frame image, DICOM standard allow splitting the frame into multiple fragments.

## Constructor & Destructor Documentation

gdcm::ImageFragmentSplitter::ImageFragmentSplitter | ( |  | ) |

inline

gdcm::ImageFragmentSplitter::~ImageFragmentSplitter | ( |  | ) |

inline

## Member Function Documentation

unsigned int gdcm::ImageFragmentSplitter::GetFragmentSizeMax | ( |  | ) | const

inline

void gdcm::ImageFragmentSplitter::SetForce | ( | bool | f | ) |

inline

When file already has all it's segment < FragmentSizeMax there is not need to run the filter. Unless the user explicitly say 'force' recomputation !

void gdcm::ImageFragmentSplitter::SetFragmentSizeMax | ( | unsigned int | fragsize | ) |

FragmentSizeMax needs to be an even number.

bool gdcm::ImageFragmentSplitter::Split | ( |  | ) |

Split.

The documentation for this class was generated from the following file:

- gdcmImageFragmentSplitter.h